Bug 36525 - Update breaks: ifupdown from 4.0-0 overwrites files in netbase inherited from 3.0-0
Update breaks: ifupdown from 4.0-0 overwrites files in netbase inherited from...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-07 17:01 CET by Philipp Hahn
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-11-07 17:01:29 CET
$ dpkg -I ucs_4.0-0/amd64/ifupdown_0.7.8.19.201403201259_amd64.deb
 Replaces: netbase (<< 5.0)
 Breaks: dhcp-client (<< 3.0), netbase (<< 5.0)
...
$ dpkg -c ucs_4.0-0/amd64/ifupdown_0.7.8.19.201403201259_amd64.deb
-rwxr-xr-x root/root      4322 2013-03-14 10:02 ./etc/init.d/networking
...

$ dpkg -c ucs_4.0-0/all/netbase_5.0.14.201403180315_all.deb
drwxr-xr-x root/root         0 2014-03-18 03:17 ./
drwxr-xr-x root/root         0 2014-03-18 03:17 ./etc/
-rw-r--r-- root/root      2933 2014-03-18 03:17 ./etc/protocols
drwxr-xr-x root/root         0 2014-03-18 03:17 ./etc/network/
-rw-r--r-- root/root       887 2014-03-18 03:17 ./etc/rpc
-rw-r--r-- root/root     19398 2014-03-18 03:17 ./etc/services
drwxr-xr-x root/root         0 2014-03-18 03:17 ./usr/
drwxr-xr-x root/root         0 2014-03-18 03:17 ./usr/share/
drwxr-xr-x root/root         0 2014-03-18 03:17 ./usr/share/doc/
drwxr-xr-x root/root         0 2014-03-18 03:17 ./usr/share/doc/netbase/
-rw-r--r-- root/root      7508 2014-03-18 03:16 ./usr/share/doc/netbase/changelog.gz
-rw-r--r-- root/root       535 2009-12-06 17:14 ./usr/share/doc/netbase/copyright

But on upgrade the file is inherited from a the previous revision and they are not removed by any maintainer script:
$ dpkg -c ucs_3.0-0/all/netbase_4.45.12.201104270712_all.deb
...
-rwxr-xr-x root/root      2451 2010-04-19 00:52 ./etc/init.d/networking
$ dpkg-deb -e ucs_4.0-0/all/netbase_5.0.14.201403180315_all.deb /tmp/xxx ; grep init /tmp/xxx/*


Solution 1:
  Remove the " (<< 5.0)" from "Replaces: netbase" in ifupdown
Solution 2:
  echo  'rm_conffile /etc/init.d/networking 5.0~' > debian/netbase.maintscript
Comment 1 Philipp Hahn univentionstaff 2014-11-07 19:20:44 CET
r14038 | Bug #36525 netbase: Remove init script
 Fix netbase to remove its init script on upgrades as ifupdown is not essential.

This alone doesn't work, as /etc/init.d/networking is diverted by UCR which breaks the removal. As such reverted.

r14039 | Bug #36525 ifupdown: Remove init script
 Change the Replaces in ifupdown to unversioned.

Package: netbase
Version: 5.0.16.201411071848
Branch: ucs_4.0-0

Package: ifupdown
Version: 0.7.8.20.201411071853
Branch: ucs_4.0-0
Comment 2 Erik Damrose univentionstaff 2014-11-10 18:00:11 CET
OK:
UCS 3.2:
dpkg -S /etc/init.d/networking
[...]
netbase: /etc/init.d/networking

UCS 4.0:
dpkg -S /etc/init.d/networking
[...]
ifupdown: /etc/init.d/networking

Reopen: As this is a change compared to UCS 3 a changelog entry is required.
Comment 3 Philipp Hahn univentionstaff 2014-11-11 08:46:07 CET
r55627 | Bug #36525: Yet another Debian Wheezy upgrade fallout
Comment 4 Erik Damrose univentionstaff 2014-11-11 08:55:55 CET
Verified
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:55:04 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".